using System;

internal sealed class Delegate157 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate157 delegate157_1)
	{
		return delegate157_1(object_0);
	}

	public extern Delegate157(object object_0, IntPtr intptr_0);

	static Delegate157()
	{
		Class10.smethod_13(typeof(Delegate157).TypeHandle);
	}

	internal static Delegate157 delegate157_0;
}
